"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateProjectConfiguration = generateProjectConfiguration;
const devkit_1 = require("@nx/devkit");
const common_1 = require("@nxrocks/common");
const plugin_utils_1 = require("../../../utils/plugin-utils");
function generateProjectConfiguration(tree, options) {
    devkit_1.logger.info(`⚙️ Generating project configuration...`);
    (0, devkit_1.addProjectConfiguration)(tree, options.projectName, {
        root: options.projectRoot,
        sourceRoot: (0, devkit_1.joinPathFragments)(options.projectRoot, 'src'),
        ...(!(0, common_1.isNxCrystalEnabled)()
            ? (0, plugin_utils_1.getProjectTypeAndTargetsFromOptions)(options)
            : {}),
        tags: options.parsedTags,
    });
}
//# sourceMappingURL=generate-project-configuration.js.map